I created an an app that uses a paletteset, and displays an usercontrol in it. I want to add a scroll to the paletteset. As when I resize it for editing the dwg file, The paletteset data below cannot be viewed without a scrol bar. get the scroll bar.
Autodesk.AutoCAD.Windows.PaletteSet m_ps = new Autodesk.AutoCAD.Windows.PaletteSet("Object Data");UC uControl = new UC();m_ps.Add("Object Data", uControl ); m_ps.Visible = true;
paletteset properties does have any properties related to scrollbar.
I just spent ages perfecting a series of windows forms dlls (not wpf or anyting, just normal user controls from VS2012). they look, compile and test fine. but when I add them to an autocad PaletteSet they stretch out 57 pixels and move buttons into textboxes and such....
is this normal? my docked control is not 407 wide....
it was 350 the entire design phase! and if it added 57 it would be one thing but it "stretches" half the controls and leaves the rest so they overlap!
I created a paletteset with MinimumSize, it works fine when the paletteset is not docked to anywhere. However the MinimumSize doesn't seem to work at all. I tried to dock it to left, then I can drag the edge to really narrow.
I have got a problem about getting user input. In a function i am first getting a selection from the user by editor.getselection(...)
then i show a palette set with my user control in the same function. everything is fine so far.
but after showing paletteset i try to get a string from the user by editor.getstring(...) in the same function but statement continues as i never request it. when i check the PromptResult status it is equal to cancel.
i tried to lock the document but it doesnt work either. when i comment out "showpalette(true)" it works correctly. i realized that if my document window s state is not WindowState.Maximized then my code works just fine but if it is WindowState.Maximized it does not work.
I would like to do something when my paletteset is closed. I took the C# code from here
[URL]
I modified the code to VB.net
Dim WithEvents ps As Autodesk.AutoCAD.Windows.PaletteSet <Autodesk.AutoCAD.Runtime.CommandMethod("psTest")> _ Public Sub PSTest() If ps Is Nothing Then ps = New Autodesk.AutoCAD.Windows.PaletteSet("psTest")
[Code]...
My code crashed. If I catch exception it is eInvalidInput exception. I don't know what to do as it is a simple code segment I don't know hot to fix it.
The vertical scroll bar don't really bother me, it's the bottom scroll bar that I mostly want to hide. I never use them and the horizontal one take too much space that hide some "tabs". I know I can "minimize" the horizontal one, but I have to do it every single time I start AutoCAD. So I've search a way to hide them but come with nothing.
I have a request for a project to put in a scroll-type border around a map however I can not find anything in autocad that would work as a viewport border or linetype. I could possibly could use a graphic and scale around the layout but my choices are limited .
I am using AutoCad 2012 and have just gotten a new screen and Logitech mouse. I can't get the scroll wheel to pan for me. When I press the scroll wheel I see a zoom button on the screen instead of a pan symbol.
in edit dialog box i can scroll up and down through block list & even get a view for the blocks as i go but not any more information or properties
SO MY QUESTION IS THERE IS A WAY THAT I CAN GET INFO ON THE BLOCKS AS I GO THROUGH THE BLOCK LIST. INFO SUCH AS LAYERS NAMES OF THE OBJECT CONTAINED IN THE BLOCK SO I WON'T NEED TO OPEN EACH BLOCK SO I CAN GET SUCH INFO WHICH TAKES A LOT OF TIME ???
I have this problem with AutoCAD 2012 and with LT2011. When first opening a drawing in a layout with the viewport locked and activated, the first scroll action moves the drawing within the viewport. After the first scroll, any scrolling moves the entire viewport as it should when locked. Putting the drawing back to where it was within the viewport requires unlocking the viewport or undoing everything back to the first scroll action. This is very anoying especially if you are zoomed in and can't see the edges of the viewport and don't notice the move right away. I did not have this problem in the older versions.
My company is using inventor 2010. I have 64 bit edition. When I zoom in on a dwg or ipt it zooms for like 1mm then my screen goes gray. If i click the restore down button then restore back to max drawing comes back but as soon as i try to scroll zoom again with my bamboo pen the screen grays out again. I've already updated my video driver to latest version and i've updated my bamboo pen driver to latest version. I also booted windows 7 64 bit into safe mode and check device manager to make sure no broken drivers or anything like that. Some times it will work for a few min then start graying out my screen again.
Is there any way to change the annoying reversed zoom/scroll wheel direction? It would be nice if the zoom/scrolling functioned like MDT....and autocentered with the crosshairs like MDT while zooming too....maybe I should give it up.
I just installed Autocad 2010 student, and now my microsoft wireless mouse 4000 will not pan when I press the scroll button. I have read a few older post that talk about Mbuttons but I can't find how to change my Mbutton from 0 to 1 or whatever it is supposed to be.
m_ps As Autodesk.AutoCAD.Windows.PaletteSet = Nothing If m_ps Is Nothing Then m_ps = New Autodesk.AutoCAD.Windows.PaletteSet("Test") Dim myPalette As EPSSN = New Test() m_ps.Add("Test", myPalette) m_ps.Size = New Drawing.Size(354, 591) m_ps.Visible = True end if
In my tool palette is have some controls. In some systems entire palette is visible completely, but in some systems, the bottom controls in the palette are not visible where the system settings are different. Is there any option to display scroll bar in the tool palette automatically?
I have a Logitech MX Laser 1000 mouse, love the mouse. But the Middle scroll button does not pan when you hold down the wheel. And when you double click the wheel it no longer does a zoom extents. When you scroll the wheel it does zoom in and out. My mbuttonpan is set to 1. Not sure if I toggled something on or off.
Is there anyways to change the scroll direction on the trackpad of Mac 2013 Autocad? I like Autocad but I don't like how it uses the "natural" scrolling even with it turned off in OS X. It is just weird having your OS work one way but Autocad work the opposite.
I would like to create a feed scroll. I know this can be done in solidworks (see link). But can this be done in inventor.
The Solid in the image wascreated as a rectangular pattern (1200-off) of a cylinder along a helix path that is then cut from the work piece. In essence this is exactly what im after but as you can see there are far too many surfaces and the resultant cut is jagged especially when viewed with the shaded with edges style not to mention its size the file size 11+ Mb and hence i cant attach it to this post.
HP z210 16Gb ATI FirePro5800 Autodesk Produst design Suite 2012
I am attaching a scroll work for doors that I am trying to draw. But I am having problem on the smoothness of the curves that I am trying to make. What I do is I draw a series of arcs to replicate the reference image also attached in this message. Also, when I print this into PDF, what happens is that the lines break where the arcs intersect in CAD, also attached here.
how to reverse the scroll wheel zoom feature so that it zoom in when you scroll forward and vice-versa? That way it will be the same as the default in AutoCad. I don't know why the changed them personally.
I've just started with Inventor 2009 and have found that you as default you cannot orbit around by pressing in the mouse scroll wheel, holding ctrl (or shift) and moving around.
This works in AutoCAD 2009 3D and all other 3D software I have used, so I'm assuming that there is a simple setting somewhere to activate this?
I am using 2012 version of CAD. I usually use classic mode. My files consist of alot of xrefs which are saved in different CAD versions. Whenever I scroll on my drawings i get a fatal error. I am not sure why this happens. Everytime a fatal error appears I have recover all the xrefs and the drawings those are opened in my system. Also, If i open the file directly from folder it gives me fatal error. so i have open CAD window first and then i have to open my drawings.
We have an older engineering in our office who is constantly double clicking his scroll wheel by accident and doing a zoom extents on his layout. He's running LT 2005. I don't see where I can change it. Its not part of the mouse button customization.
I have a CAD 2013 Arch user who is having a strange issue with zooming in or out using the mouse scroll wheel. It doesn't happen all the time which frustrates me because I never see it, but she does. Every now and then when she's working in a drawing she'll try to zoom out slightly, but the it zooms WAY out, so much that the drawing looks like a tiny speck. When she tries to correct it by zooming in, it zooms WAY in. Then for some reason, it starts working fine. This seems to happen to her multiple times a day and I'm sure what to or how to troubleshoot this. She's using a wireless mouse from Logistic and seems to have the current drivers installed.